:root {
  --main-color: #FCB700;
  --dark-color: #222222;
  --parg-color: #666666;
  --dark-red: #D01418;
  --border-color: #6666662A;
  --name-item: #0066C0;
}

.sec-form {
  margin: 240px 0 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.form-container {
  width: 350px;
  background-color: #FFFFFF;
  box-shadow: rgba(0, 0, 0, 0.35) 0 5px 15px;
  border-radius: 10px;
  box-sizing: border-box;
  padding: 20px 30px;
}

.title {
  color: var(--dark-color);
  text-align: center;
  margin: 10px 0 30px;
  font-size: 28px;
  font-weight: 800;
}

#error {
  color: red;
  text-align: center;
  margin: 10px 0 30px;
  font-size: 18px;
}

form {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 18px;
  margin-bottom: 15px;
}

form input {
  border-radius: 5px;
  border: 1px solid #C6C6C6;
  outline: none;
  padding: 12px 15px;
  transition: 0.3s all ease;
}

form input:focus {
  border-color: var(--main-color);
}

.page-link {
  margin: 0;
  text-align: start;
}

.page-link .page-link-label {
  color: var(--parg-color);
  font-size: 14px;
  transition: 0.3s all ease;
}

.page-link .page-link-label:hover {
  color: #000000;
}

.form-btn {
  padding: 10px 15px;
  border-radius: 5px;
  border: none;
  outline: none;
  background-color: var(--main-color);
  color: #FFFFFF;
  font-size: 18px;
  font-weight: bold;
  cursor: pointer;
  box-shadow: rgba(0, 0, 0, 0.35) 0 3px 8px;
}

.sign-up-label {
  margin: 0;
  font-size: 12px;
  color: var(--parg-color);
}

.sign-up-link {
  color: var(--main-color);
  font-size: 14px;
  margin-left: 2px;
  text-decoration: underline;
}

.buttons-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-top: 20px;
  gap: 15px;
}

.buttons-container i {
  font-size: 22px;
}

.apple-login-button,
.google-login-button {
  border-radius: 5px;
  padding: 10px 15px;
  box-shadow: rgba(0, 0, 0, 0.16) 0 10px 36px 0, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  gap: 10px;
  transition: 0.3s all ease;
}

.apple-login-button {
  background-color: #000000;
  border: 2px solid #000000;
  color: #FFFFFF;
}

.apple-login-button:hover {
  background-color: transparent;
  color: #000000;
}

.google-login-button {
  border: 2px solid var(--main-color);
  color: var(--main-color);
}

.google-login-button:hover {
  background-color: var(--main-color);
  color: #FFFFFF;
}

@media (max-width: 450px) {
  .form-container {
    width: 100%;
    border-radius: 0;
  }
}